document.getElementById("fluentcrm-newsletter-dropdown").addEventListener("change", function() {
    var campaignId = this.value;
    jQuery.post(
        ajaxurl,
        {
            action: "fluentcrm_get_stats",
            campaign_id: campaignId
        },
        function(response) {
            response = JSON.parse(response);
            document.getElementById("fluentcrm-stats-container").innerHTML = response.statsHTML;

            if (window.myPieChart) {
                window.myPieChart.destroy();
            }

            var ctx = document.getElementById("fluentcrm-chart").getContext("2d");
            window.myPieChart = new Chart(ctx, {
                type: "pie",
                data: {
                    labels: ["Open Rate", "Click Rate", "Click-to-Open Rate"],
                    datasets: [{
                        data: [response.openRate, response.clickRate, response.ctorRate],
                        backgroundColor: ["#0073aa", "#00a32a", "#ff6347"]
                    }]
                },
                options: {
                    responsive: true,
                    plugins: {
                        legend: {
                            position: "top"
                        },
                        tooltip: {
                            callbacks: {
                                label: function(tooltipItem) {
                                    return tooltipItem.label + ": " + tooltipItem.raw.toFixed(2) + "%";
                                }
                            }
                        }
                    }
                }
            });
        }
    );
});

// Trigger change event to load the first campaign's stats on page load
document.getElementById("fluentcrm-newsletter-dropdown").dispatchEvent(new Event("change"));
